﻿@model AHCBL.Dto.Admin.ItemListDto
@{
    ViewBag.Title = "Product_order";
    Layout = "~/Views/Shared/_Layout_Product.cshtml";
}
@Styles.Render("~/common/css/pages/purchase.css")
@using (Html.BeginForm("SaveOrder", "Product", FormMethod.Post))
{
    @*@using (Html.BeginForm())
        {*@
    @Html.AntiForgeryToken()

    @Html.HiddenFor(model => model.token)
    <input type="hidden" id="product_id" value="@Html.DisplayFor(model => model.id)" />
    <input type="hidden" id="price" value="@Html.DisplayFor(model => model.price)" />
    <input type="hidden" id="percen" value="@Html.DisplayFor(model => model.percen)" />
    <input type="hidden" id="product_fee" value="@Html.DisplayFor(model => model.chip)" />
    <div class="width1100">
        <div class="chBox motion bronze on" style="display: block;max-width: 350px;width: 100%;margin: 0 auto;float: none;">
            <div class="left" data-aos="fade-in" data-aos-duration="2000" style="opacity:1;">
                <p class="coin coinBronze"><img src="@Html.DisplayFor(model => model.img)" class="img-product"></p>
                <p class="name" id="txt_gname1">@Html.DisplayFor(model => model.name)</p>
            </div>

            <div class="right">
                <div class="info">
                    <ul>
                        <li class="tit"><span class="txt_price_kor">가격(KRW)</span></li>
                        <li class="con">￦ @Html.DisplayFor(model => model.price)</li>
                    </ul>
                    <ul>
                        <li class="tit"><span class="txt_plus">수익률</span></li>
                        <li class="con">@Html.DisplayFor(model => model.percen)%</li>
                    </ul>
                    <ul>
                        <li class="tit"><span class="txt_day">보유기간</span></li>
                        <li class="con">@Html.DisplayFor(model => model.day)일</li>
                    </ul>
                    <ul>
                        <li class="tit"><span class="txt_day">수량</span></li>
                        <li class="con">
                            @Html.DropDownListFor(model => model.amount, new SelectList(ViewBag.amount, "Value", "Text"), new { @class = "drp" }) <span class="txt_chip">개</span>
                        </li>
                    </ul>
                    <ul>
                        <li class="tit"><span class="item_bedge" style="text-align:left;">수수료 : </span></li>
                        <li class="con" id="tot_fee"><span id="tot_fee">@Html.DisplayFor(model => model.chip)<span class="txt_chip">개</span></span></li>
                    </ul>
                </div>
                <!--// info end -->
            </div>
        </div>

        <div class="btnWrap">
            <button class="btnOk" type="button" onclick="doAction()" id="t_btn_ok">구매신청</button>
            <a href="/Product" class="btnCa">취소</a>
        </div>
    </div>
    <div class="d-flex" style="margin-top:10px;">
        <div class="mx-auto">
            <input type="submit" id="btnAdd" style="display:none;" />
        </div>
    </div>

    <script>
    $(document).ready(function() {
                var product_fee = $("#product_fee").val();
        $("#amount").change(function() {
                    var amount = $(this).val();
                    var user_point = '@ViewBag.point';

                    if (parseInt(amount) * parseInt(product_fee) > (parseInt(user_point)))
                    {
                        alert("보유한 수수료가 부족합니다.\n수수료를 확인해 주세요.");
                $(this).val("1");
                    }
                    setAmt();
                });
            });
            function setAmt()
            {
                var qty = parseInt($("#amount").val());
                var fee = parseInt($("#product_fee").val());

        $("#tot_fee").text(addCommas(qty * fee) + "개");

            }

            function doValidate()
            {
                var user_point = '@ViewBag.point';
                var product_fee = $("#product_fee").val();
                var amount = $("#amount").val();
                if ((parseInt(user_point)) < parseInt(product_fee) * parseInt(amount))
                {
                    alert("보유한 수수료가 부족합니다.\n수수료를 확인해 주세요.");
                    return false;
                }

                return true;
            }

            function doAction()
            {
                if (doValidate())
                {
                    if (confirm($(".order-product-caption > h3").text() + " 상품을 구매신청 하시겠습니까?"))
                    {
                //$("#btnOk").click();
                //$("#cmd").val("/view/order/order_process.json");
                //$("#mode").val("order_apply");
               // alert(1); return;
                $("#btnAdd").click();
                        return;
                        //						 $("#order_form").attr("action", "../../frame/order/orderController.asp").submit();
                        var id = $("#product_id").val();
                        var point = parseInt(@ViewBag.point);
                        var percen = parseInt($("#percen").val());
                        var amount = parseInt($("#amount").val());
                        var chip = parseInt($("#product_fee").val());
                        //var total = addCommas(amount * chip);
                        var total = (amount * chip);
                        var amt = $("#price").val();
                $.ajax({
                        type: "POST",
                        url: "/Product/SaveOrder",
                        data: "{'id':" + id + ",'point':" + point + ",'percen':" + percen + ",'amount':" + amount + ",'chip':" + chip + ",'total':" + total + ",'amt':" + amt.replace(",", "") + "}",
                        contentType: "application/json; charset=utf-8",
                        dataType: "json",
                        success: function(msg) {
                                alert(msg);
                                //location.reload();
                                location.href = "/Product";
                            }
                        });

            //$.mvcAjax({
            //    url: "/Product/order",
            //    //data: $("#order_form").serialize(),
            //    data: "{'id':" + id + ",'amount':" + amount + ",'fee':'" + fee + "','total':'" + total + "'}",
            //    success: function (data) {
            //        var result = data.RESULT;
            //        if (result.CODE == 1) {
            //            alert("구매신청이 완료되었습니다.");
            //            location.href = "../product/product_list.asp";
            //        } else
            //            alert(result.MESSAGE);
            //    }
            //});

            }
        }


    }
    </script>
}
